// Copyright (c) 2018, the Dart project authors.  Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed by a
// BSD-style license that can be found in the LICENSE file.

import 'dart:typed_data' as typed_data;

abstract class Endianness {
  static const big = typed_data.Endianness.BIG_ENDIAN;
  static const little = typed_data.Endianness.LITTLE_ENDIAN;
}

abstract class Int8List {
  static const bytesPerElement = typed_data.Int8List.BYTES_PER_ELEMENT;
}

abstract class Uint8List {
  static const bytesPerElement = typed_data.Uint8List.BYTES_PER_ELEMENT;
}

abstract class Uint8ClampedList {
  static const bytesPerElement = typed_data.Uint8ClampedList.BYTES_PER_ELEMENT;
}

abstract class Int16List {
  static const bytesPerElement = typed_data.Int16List.BYTES_PER_ELEMENT;
}

abstract class Uint16List {
  static const bytesPerElement = typed_data.Uint16List.BYTES_PER_ELEMENT;
}

abstract class Int32List {
  static const bytesPerElement = typed_data.Int32List.BYTES_PER_ELEMENT;
}

abstract class Uint32List {
  static const bytesPerElement = typed_data.Uint32List.BYTES_PER_ELEMENT;
}

abstract class Int64List {
  static const bytesPerElement = typed_data.Int64List.BYTES_PER_ELEMENT;
}

abstract class Uint64List {
  static const bytesPerElement = typed_data.Uint64List.BYTES_PER_ELEMENT;
}

abstract class Float32List {
  static const bytesPerElement = typed_data.Float32List.BYTES_PER_ELEMENT;
}

abstract class Float64List {
  static const bytesPerElement = typed_data.Float64List.BYTES_PER_ELEMENT;
}

abstract class Float32x4List {
  static const bytesPerElement = typed_data.Float32x4List.BYTES_PER_ELEMENT;
}

abstract class Int32x4List {
  static const bytesPerElement = typed_data.Int32x4List.BYTES_PER_ELEMENT;
}

abstract class Float64x2List {
  static const bytesPerElement = typed_data.Float64x2List.BYTES_PER_ELEMENT;
}

abstract class Float32x4 {
  static const xxxx = typed_data.Float32x4.XXXX;
  static const xxxy = typed_data.Float32x4.XXXY;
  static const xxxz = typed_data.Float32x4.XXXZ;
  static const xxxw = typed_data.Float32x4.XXXW;
  static const xxyx = typed_data.Float32x4.XXYX;
  static const xxyy = typed_data.Float32x4.XXYY;
  static const xxyz = typed_data.Float32x4.XXYZ;
  static const xxyw = typed_data.Float32x4.XXYW;
  static const xxzx = typed_data.Float32x4.XXZX;
  static const xxzy = typed_data.Float32x4.XXZY;
  static const xxzz = typed_data.Float32x4.XXZZ;
  static const xxzw = typed_data.Float32x4.XXZW;
  static const xxwx = typed_data.Float32x4.XXWX;
  static const xxwy = typed_data.Float32x4.XXWY;
  static const xxwz = typed_data.Float32x4.XXWZ;
  static const xxww = typed_data.Float32x4.XXWW;
  static const xyxx = typed_data.Float32x4.XYXX;
  static const xyxy = typed_data.Float32x4.XYXY;
  static const xyxz = typed_data.Float32x4.XYXZ;
  static const xyxw = typed_data.Float32x4.XYXW;
  static const xyyx = typed_data.Float32x4.XYYX;
  static const xyyy = typed_data.Float32x4.XYYY;
  static const xyyz = typed_data.Float32x4.XYYZ;
  static const xyyw = typed_data.Float32x4.XYYW;
  static const xyzx = typed_data.Float32x4.XYZX;
  static const xyzy = typed_data.Float32x4.XYZY;
  static const xyzz = typed_data.Float32x4.XYZZ;
  static const xyzw = typed_data.Float32x4.XYZW;
  static const xywx = typed_data.Float32x4.XYWX;
  static const xywy = typed_data.Float32x4.XYWY;
  static const xywz = typed_data.Float32x4.XYWZ;
  static const xyww = typed_data.Float32x4.XYWW;
  static const xzxx = typed_data.Float32x4.XZXX;
  static const xzxy = typed_data.Float32x4.XZXY;
  static const xzxz = typed_data.Float32x4.XZXZ;
  static const xzxw = typed_data.Float32x4.XZXW;
  static const xzyx = typed_data.Float32x4.XZYX;
  static const xzyy = typed_data.Float32x4.XZYY;
  static const xzyz = typed_data.Float32x4.XZYZ;
  static const xzyw = typed_data.Float32x4.XZYW;
  static const xzzx = typed_data.Float32x4.XZZX;
  static const xzzy = typed_data.Float32x4.XZZY;
  static const xzzz = typed_data.Float32x4.XZZZ;
  static const xzzw = typed_data.Float32x4.XZZW;
  static const xzwx = typed_data.Float32x4.XZWX;
  static const xzwy = typed_data.Float32x4.XZWY;
  static const xzwz = typed_data.Float32x4.XZWZ;
  static const xzww = typed_data.Float32x4.XZWW;
  static const xwxx = typed_data.Float32x4.XWXX;
  static const xwxy = typed_data.Float32x4.XWXY;
  static const xwxz = typed_data.Float32x4.XWXZ;
  static const xwxw = typed_data.Float32x4.XWXW;
  static const xwyx = typed_data.Float32x4.XWYX;
  static const xwyy = typed_data.Float32x4.XWYY;
  static const xwyz = typed_data.Float32x4.XWYZ;
  static const xwyw = typed_data.Float32x4.XWYW;
  static const xwzx = typed_data.Float32x4.XWZX;
  static const xwzy = typed_data.Float32x4.XWZY;
  static const xwzz = typed_data.Float32x4.XWZZ;
  static const xwzw = typed_data.Float32x4.XWZW;
  static const xwwx = typed_data.Float32x4.XWWX;
  static const xwwy = typed_data.Float32x4.XWWY;
  static const xwwz = typed_data.Float32x4.XWWZ;
  static const xwww = typed_data.Float32x4.XWWW;
  static const yxxx = typed_data.Float32x4.YXXX;
  static const yxxy = typed_data.Float32x4.YXXY;
  static const yxxz = typed_data.Float32x4.YXXZ;
  static const yxxw = typed_data.Float32x4.YXXW;
  static const yxyx = typed_data.Float32x4.YXYX;
  static const yxyy = typed_data.Float32x4.YXYY;
  static const yxyz = typed_data.Float32x4.YXYZ;
  static const yxyw = typed_data.Float32x4.YXYW;
  static const yxzx = typed_data.Float32x4.YXZX;
  static const yxzy = typed_data.Float32x4.YXZY;
  static const yxzz = typed_data.Float32x4.YXZZ;
  static const yxzw = typed_data.Float32x4.YXZW;
  static const yxwx = typed_data.Float32x4.YXWX;
  static const yxwy = typed_data.Float32x4.YXWY;
  static const yxwz = typed_data.Float32x4.YXWZ;
  static const yxww = typed_data.Float32x4.YXWW;
  static const yyxx = typed_data.Float32x4.YYXX;
  static const yyxy = typed_data.Float32x4.YYXY;
  static const yyxz = typed_data.Float32x4.YYXZ;
  static const yyxw = typed_data.Float32x4.YYXW;
  static const yyyx = typed_data.Float32x4.YYYX;
  static const yyyy = typed_data.Float32x4.YYYY;
  static const yyyz = typed_data.Float32x4.YYYZ;
  static const yyyw = typed_data.Float32x4.YYYW;
  static const yyzx = typed_data.Float32x4.YYZX;
  static const yyzy = typed_data.Float32x4.YYZY;
  static const yyzz = typed_data.Float32x4.YYZZ;
  static const yyzw = typed_data.Float32x4.YYZW;
  static const yywx = typed_data.Float32x4.YYWX;
  static const yywy = typed_data.Float32x4.YYWY;
  static const yywz = typed_data.Float32x4.YYWZ;
  static const yyww = typed_data.Float32x4.YYWW;
  static const yzxx = typed_data.Float32x4.YZXX;
  static const yzxy = typed_data.Float32x4.YZXY;
  static const yzxz = typed_data.Float32x4.YZXZ;
  static const yzxw = typed_data.Float32x4.YZXW;
  static const yzyx = typed_data.Float32x4.YZYX;
  static const yzyy = typed_data.Float32x4.YZYY;
  static const yzyz = typed_data.Float32x4.YZYZ;
  static const yzyw = typed_data.Float32x4.YZYW;
  static const yzzx = typed_data.Float32x4.YZZX;
  static const yzzy = typed_data.Float32x4.YZZY;
  static const yzzz = typed_data.Float32x4.YZZZ;
  static const yzzw = typed_data.Float32x4.YZZW;
  static const yzwx = typed_data.Float32x4.YZWX;
  static const yzwy = typed_data.Float32x4.YZWY;
  static const yzwz = typed_data.Float32x4.YZWZ;
  static const yzww = typed_data.Float32x4.YZWW;
  static const ywxx = typed_data.Float32x4.YWXX;
  static const ywxy = typed_data.Float32x4.YWXY;
  static const ywxz = typed_data.Float32x4.YWXZ;
  static const ywxw = typed_data.Float32x4.YWXW;
  static const ywyx = typed_data.Float32x4.YWYX;
  static const ywyy = typed_data.Float32x4.YWYY;
  static const ywyz = typed_data.Float32x4.YWYZ;
  static const ywyw = typed_data.Float32x4.YWYW;
  static const ywzx = typed_data.Float32x4.YWZX;
  static const ywzy = typed_data.Float32x4.YWZY;
  static const ywzz = typed_data.Float32x4.YWZZ;
  static const ywzw = typed_data.Float32x4.YWZW;
  static const ywwx = typed_data.Float32x4.YWWX;
  static const ywwy = typed_data.Float32x4.YWWY;
  static const ywwz = typed_data.Float32x4.YWWZ;
  static const ywww = typed_data.Float32x4.YWWW;
  static const zxxx = typed_data.Float32x4.ZXXX;
  static const zxxy = typed_data.Float32x4.ZXXY;
  static const zxxz = typed_data.Float32x4.ZXXZ;
  static const zxxw = typed_data.Float32x4.ZXXW;
  static const zxyx = typed_data.Float32x4.ZXYX;
  static const zxyy = typed_data.Float32x4.ZXYY;
  static const zxyz = typed_data.Float32x4.ZXYZ;
  static const zxyw = typed_data.Float32x4.ZXYW;
  static const zxzx = typed_data.Float32x4.ZXZX;
  static const zxzy = typed_data.Float32x4.ZXZY;
  static const zxzz = typed_data.Float32x4.ZXZZ;
  static const zxzw = typed_data.Float32x4.ZXZW;
  static const zxwx = typed_data.Float32x4.ZXWX;
  static const zxwy = typed_data.Float32x4.ZXWY;
  static const zxwz = typed_data.Float32x4.ZXWZ;
  static const zxww = typed_data.Float32x4.ZXWW;
  static const zyxx = typed_data.Float32x4.ZYXX;
  static const zyxy = typed_data.Float32x4.ZYXY;
  static const zyxz = typed_data.Float32x4.ZYXZ;
  static const zyxw = typed_data.Float32x4.ZYXW;
  static const zyyx = typed_data.Float32x4.ZYYX;
  static const zyyy = typed_data.Float32x4.ZYYY;
  static const zyyz = typed_data.Float32x4.ZYYZ;
  static const zyyw = typed_data.Float32x4.ZYYW;
  static const zyzx = typed_data.Float32x4.ZYZX;
  static const zyzy = typed_data.Float32x4.ZYZY;
  static const zyzz = typed_data.Float32x4.ZYZZ;
  static const zyzw = typed_data.Float32x4.ZYZW;
  static const zywx = typed_data.Float32x4.ZYWX;
  static const zywy = typed_data.Float32x4.ZYWY;
  static const zywz = typed_data.Float32x4.ZYWZ;
  static const zyww = typed_data.Float32x4.ZYWW;
  static const zzxx = typed_data.Float32x4.ZZXX;
  static const zzxy = typed_data.Float32x4.ZZXY;
  static const zzxz = typed_data.Float32x4.ZZXZ;
  static const zzxw = typed_data.Float32x4.ZZXW;
  static const zzyx = typed_data.Float32x4.ZZYX;
  static const zzyy = typed_data.Float32x4.ZZYY;
  static const zzyz = typed_data.Float32x4.ZZYZ;
  static const zzyw = typed_data.Float32x4.ZZYW;
  static const zzzx = typed_data.Float32x4.ZZZX;
  static const zzzy = typed_data.Float32x4.ZZZY;
  static const zzzz = typed_data.Float32x4.ZZZZ;
  static const zzzw = typed_data.Float32x4.ZZZW;
  static const zzwx = typed_data.Float32x4.ZZWX;
  static const zzwy = typed_data.Float32x4.ZZWY;
  static const zzwz = typed_data.Float32x4.ZZWZ;
  static const zzww = typed_data.Float32x4.ZZWW;
  static const zwxx = typed_data.Float32x4.ZWXX;
  static const zwxy = typed_data.Float32x4.ZWXY;
  static const zwxz = typed_data.Float32x4.ZWXZ;
  static const zwxw = typed_data.Float32x4.ZWXW;
  static const zwyx = typed_data.Float32x4.ZWYX;
  static const zwyy = typed_data.Float32x4.ZWYY;
  static const zwyz = typed_data.Float32x4.ZWYZ;
  static const zwyw = typed_data.Float32x4.ZWYW;
  static const zwzx = typed_data.Float32x4.ZWZX;
  static const zwzy = typed_data.Float32x4.ZWZY;
  static const zwzz = typed_data.Float32x4.ZWZZ;
  static const zwzw = typed_data.Float32x4.ZWZW;
  static const zwwx = typed_data.Float32x4.ZWWX;
  static const zwwy = typed_data.Float32x4.ZWWY;
  static const zwwz = typed_data.Float32x4.ZWWZ;
  static const zwww = typed_data.Float32x4.ZWWW;
  static const wxxx = typed_data.Float32x4.WXXX;
  static const wxxy = typed_data.Float32x4.WXXY;
  static const wxxz = typed_data.Float32x4.WXXZ;
  static const wxxw = typed_data.Float32x4.WXXW;
  static const wxyx = typed_data.Float32x4.WXYX;
  static const wxyy = typed_data.Float32x4.WXYY;
  static const wxyz = typed_data.Float32x4.WXYZ;
  static const wxyw = typed_data.Float32x4.WXYW;
  static const wxzx = typed_data.Float32x4.WXZX;
  static const wxzy = typed_data.Float32x4.WXZY;
  static const wxzz = typed_data.Float32x4.WXZZ;
  static const wxzw = typed_data.Float32x4.WXZW;
  static const wxwx = typed_data.Float32x4.WXWX;
  static const wxwy = typed_data.Float32x4.WXWY;
  static const wxwz = typed_data.Float32x4.WXWZ;
  static const wxww = typed_data.Float32x4.WXWW;
  static const wyxx = typed_data.Float32x4.WYXX;
  static const wyxy = typed_data.Float32x4.WYXY;
  static const wyxz = typed_data.Float32x4.WYXZ;
  static const wyxw = typed_data.Float32x4.WYXW;
  static const wyyx = typed_data.Float32x4.WYYX;
  static const wyyy = typed_data.Float32x4.WYYY;
  static const wyyz = typed_data.Float32x4.WYYZ;
  static const wyyw = typed_data.Float32x4.WYYW;
  static const wyzx = typed_data.Float32x4.WYZX;
  static const wyzy = typed_data.Float32x4.WYZY;
  static const wyzz = typed_data.Float32x4.WYZZ;
  static const wyzw = typed_data.Float32x4.WYZW;
  static const wywx = typed_data.Float32x4.WYWX;
  static const wywy = typed_data.Float32x4.WYWY;
  static const wywz = typed_data.Float32x4.WYWZ;
  static const wyww = typed_data.Float32x4.WYWW;
  static const wzxx = typed_data.Float32x4.WZXX;
  static const wzxy = typed_data.Float32x4.WZXY;
  static const wzxz = typed_data.Float32x4.WZXZ;
  static const wzxw = typed_data.Float32x4.WZXW;
  static const wzyx = typed_data.Float32x4.WZYX;
  static const wzyy = typed_data.Float32x4.WZYY;
  static const wzyz = typed_data.Float32x4.WZYZ;
  static const wzyw = typed_data.Float32x4.WZYW;
  static const wzzx = typed_data.Float32x4.WZZX;
  static const wzzy = typed_data.Float32x4.WZZY;
  static const wzzz = typed_data.Float32x4.WZZZ;
  static const wzzw = typed_data.Float32x4.WZZW;
  static const wzwx = typed_data.Float32x4.WZWX;
  static const wzwy = typed_data.Float32x4.WZWY;
  static const wzwz = typed_data.Float32x4.WZWZ;
  static const wzww = typed_data.Float32x4.WZWW;
  static const wwxx = typed_data.Float32x4.WWXX;
  static const wwxy = typed_data.Float32x4.WWXY;
  static const wwxz = typed_data.Float32x4.WWXZ;
  static const wwxw = typed_data.Float32x4.WWXW;
  static const wwyx = typed_data.Float32x4.WWYX;
  static const wwyy = typed_data.Float32x4.WWYY;
  static const wwyz = typed_data.Float32x4.WWYZ;
  static const wwyw = typed_data.Float32x4.WWYW;
  static const wwzx = typed_data.Float32x4.WWZX;
  static const wwzy = typed_data.Float32x4.WWZY;
  static const wwzz = typed_data.Float32x4.WWZZ;
  static const wwzw = typed_data.Float32x4.WWZW;
  static const wwwx = typed_data.Float32x4.WWWX;
  static const wwwy = typed_data.Float32x4.WWWY;
  static const wwwz = typed_data.Float32x4.WWWZ;
  static const wwww = typed_data.Float32x4.WWWW;
}

abstract class Int32x4 {
  static const xxxx = typed_data.Int32x4.XXXX;
  static const xxxy = typed_data.Int32x4.XXXY;
  static const xxxz = typed_data.Int32x4.XXXZ;
  static const xxxw = typed_data.Int32x4.XXXW;
  static const xxyx = typed_data.Int32x4.XXYX;
  static const xxyy = typed_data.Int32x4.XXYY;
  static const xxyz = typed_data.Int32x4.XXYZ;
  static const xxyw = typed_data.Int32x4.XXYW;
  static const xxzx = typed_data.Int32x4.XXZX;
  static const xxzy = typed_data.Int32x4.XXZY;
  static const xxzz = typed_data.Int32x4.XXZZ;
  static const xxzw = typed_data.Int32x4.XXZW;
  static const xxwx = typed_data.Int32x4.XXWX;
  static const xxwy = typed_data.Int32x4.XXWY;
  static const xxwz = typed_data.Int32x4.XXWZ;
  static const xxww = typed_data.Int32x4.XXWW;
  static const xyxx = typed_data.Int32x4.XYXX;
  static const xyxy = typed_data.Int32x4.XYXY;
  static const xyxz = typed_data.Int32x4.XYXZ;
  static const xyxw = typed_data.Int32x4.XYXW;
  static const xyyx = typed_data.Int32x4.XYYX;
  static const xyyy = typed_data.Int32x4.XYYY;
  static const xyyz = typed_data.Int32x4.XYYZ;
  static const xyyw = typed_data.Int32x4.XYYW;
  static const xyzx = typed_data.Int32x4.XYZX;
  static const xyzy = typed_data.Int32x4.XYZY;
  static const xyzz = typed_data.Int32x4.XYZZ;
  static const xyzw = typed_data.Int32x4.XYZW;
  static const xywx = typed_data.Int32x4.XYWX;
  static const xywy = typed_data.Int32x4.XYWY;
  static const xywz = typed_data.Int32x4.XYWZ;
  static const xyww = typed_data.Int32x4.XYWW;
  static const xzxx = typed_data.Int32x4.XZXX;
  static const xzxy = typed_data.Int32x4.XZXY;
  static const xzxz = typed_data.Int32x4.XZXZ;
  static const xzxw = typed_data.Int32x4.XZXW;
  static const xzyx = typed_data.Int32x4.XZYX;
  static const xzyy = typed_data.Int32x4.XZYY;
  static const xzyz = typed_data.Int32x4.XZYZ;
  static const xzyw = typed_data.Int32x4.XZYW;
  static const xzzx = typed_data.Int32x4.XZZX;
  static const xzzy = typed_data.Int32x4.XZZY;
  static const xzzz = typed_data.Int32x4.XZZZ;
  static const xzzw = typed_data.Int32x4.XZZW;
  static const xzwx = typed_data.Int32x4.XZWX;
  static const xzwy = typed_data.Int32x4.XZWY;
  static const xzwz = typed_data.Int32x4.XZWZ;
  static const xzww = typed_data.Int32x4.XZWW;
  static const xwxx = typed_data.Int32x4.XWXX;
  static const xwxy = typed_data.Int32x4.XWXY;
  static const xwxz = typed_data.Int32x4.XWXZ;
  static const xwxw = typed_data.Int32x4.XWXW;
  static const xwyx = typed_data.Int32x4.XWYX;
  static const xwyy = typed_data.Int32x4.XWYY;
  static const xwyz = typed_data.Int32x4.XWYZ;
  static const xwyw = typed_data.Int32x4.XWYW;
  static const xwzx = typed_data.Int32x4.XWZX;
  static const xwzy = typed_data.Int32x4.XWZY;
  static const xwzz = typed_data.Int32x4.XWZZ;
  static const xwzw = typed_data.Int32x4.XWZW;
  static const xwwx = typed_data.Int32x4.XWWX;
  static const xwwy = typed_data.Int32x4.XWWY;
  static const xwwz = typed_data.Int32x4.XWWZ;
  static const xwww = typed_data.Int32x4.XWWW;
  static const yxxx = typed_data.Int32x4.YXXX;
  static const yxxy = typed_data.Int32x4.YXXY;
  static const yxxz = typed_data.Int32x4.YXXZ;
  static const yxxw = typed_data.Int32x4.YXXW;
  static const yxyx = typed_data.Int32x4.YXYX;
  static const yxyy = typed_data.Int32x4.YXYY;
  static const yxyz = typed_data.Int32x4.YXYZ;
  static const yxyw = typed_data.Int32x4.YXYW;
  static const yxzx = typed_data.Int32x4.YXZX;
  static const yxzy = typed_data.Int32x4.YXZY;
  static const yxzz = typed_data.Int32x4.YXZZ;
  static const yxzw = typed_data.Int32x4.YXZW;
  static const yxwx = typed_data.Int32x4.YXWX;
  static const yxwy = typed_data.Int32x4.YXWY;
  static const yxwz = typed_data.Int32x4.YXWZ;
  static const yxww = typed_data.Int32x4.YXWW;
  static const yyxx = typed_data.Int32x4.YYXX;
  static const yyxy = typed_data.Int32x4.YYXY;
  static const yyxz = typed_data.Int32x4.YYXZ;
  static const yyxw = typed_data.Int32x4.YYXW;
  static const yyyx = typed_data.Int32x4.YYYX;
  static const yyyy = typed_data.Int32x4.YYYY;
  static const yyyz = typed_data.Int32x4.YYYZ;
  static const yyyw = typed_data.Int32x4.YYYW;
  static const yyzx = typed_data.Int32x4.YYZX;
  static const yyzy = typed_data.Int32x4.YYZY;
  static const yyzz = typed_data.Int32x4.YYZZ;
  static const yyzw = typed_data.Int32x4.YYZW;
  static const yywx = typed_data.Int32x4.YYWX;
  static const yywy = typed_data.Int32x4.YYWY;
  static const yywz = typed_data.Int32x4.YYWZ;
  static const yyww = typed_data.Int32x4.YYWW;
  static const yzxx = typed_data.Int32x4.YZXX;
  static const yzxy = typed_data.Int32x4.YZXY;
  static const yzxz = typed_data.Int32x4.YZXZ;
  static const yzxw = typed_data.Int32x4.YZXW;
  static const yzyx = typed_data.Int32x4.YZYX;
  static const yzyy = typed_data.Int32x4.YZYY;
  static const yzyz = typed_data.Int32x4.YZYZ;
  static const yzyw = typed_data.Int32x4.YZYW;
  static const yzzx = typed_data.Int32x4.YZZX;
  static const yzzy = typed_data.Int32x4.YZZY;
  static const yzzz = typed_data.Int32x4.YZZZ;
  static const yzzw = typed_data.Int32x4.YZZW;
  static const yzwx = typed_data.Int32x4.YZWX;
  static const yzwy = typed_data.Int32x4.YZWY;
  static const yzwz = typed_data.Int32x4.YZWZ;
  static const yzww = typed_data.Int32x4.YZWW;
  static const ywxx = typed_data.Int32x4.YWXX;
  static const ywxy = typed_data.Int32x4.YWXY;
  static const ywxz = typed_data.Int32x4.YWXZ;
  static const ywxw = typed_data.Int32x4.YWXW;
  static const ywyx = typed_data.Int32x4.YWYX;
  static const ywyy = typed_data.Int32x4.YWYY;
  static const ywyz = typed_data.Int32x4.YWYZ;
  static const ywyw = typed_data.Int32x4.YWYW;
  static const ywzx = typed_data.Int32x4.YWZX;
  static const ywzy = typed_data.Int32x4.YWZY;
  static const ywzz = typed_data.Int32x4.YWZZ;
  static const ywzw = typed_data.Int32x4.YWZW;
  static const ywwx = typed_data.Int32x4.YWWX;
  static const ywwy = typed_data.Int32x4.YWWY;
  static const ywwz = typed_data.Int32x4.YWWZ;
  static const ywww = typed_data.Int32x4.YWWW;
  static const zxxx = typed_data.Int32x4.ZXXX;
  static const zxxy = typed_data.Int32x4.ZXXY;
  static const zxxz = typed_data.Int32x4.ZXXZ;
  static const zxxw = typed_data.Int32x4.ZXXW;
  static const zxyx = typed_data.Int32x4.ZXYX;
  static const zxyy = typed_data.Int32x4.ZXYY;
  static const zxyz = typed_data.Int32x4.ZXYZ;
  static const zxyw = typed_data.Int32x4.ZXYW;
  static const zxzx = typed_data.Int32x4.ZXZX;
  static const zxzy = typed_data.Int32x4.ZXZY;
  static const zxzz = typed_data.Int32x4.ZXZZ;
  static const zxzw = typed_data.Int32x4.ZXZW;
  static const zxwx = typed_data.Int32x4.ZXWX;
  static const zxwy = typed_data.Int32x4.ZXWY;
  static const zxwz = typed_data.Int32x4.ZXWZ;
  static const zxww = typed_data.Int32x4.ZXWW;
  static const zyxx = typed_data.Int32x4.ZYXX;
  static const zyxy = typed_data.Int32x4.ZYXY;
  static const zyxz = typed_data.Int32x4.ZYXZ;
  static const zyxw = typed_data.Int32x4.ZYXW;
  static const zyyx = typed_data.Int32x4.ZYYX;
  static const zyyy = typed_data.Int32x4.ZYYY;
  static const zyyz = typed_data.Int32x4.ZYYZ;
  static const zyyw = typed_data.Int32x4.ZYYW;
  static const zyzx = typed_data.Int32x4.ZYZX;
  static const zyzy = typed_data.Int32x4.ZYZY;
  static const zyzz = typed_data.Int32x4.ZYZZ;
  static const zyzw = typed_data.Int32x4.ZYZW;
  static const zywx = typed_data.Int32x4.ZYWX;
  static const zywy = typed_data.Int32x4.ZYWY;
  static const zywz = typed_data.Int32x4.ZYWZ;
  static const zyww = typed_data.Int32x4.ZYWW;
  static const zzxx = typed_data.Int32x4.ZZXX;
  static const zzxy = typed_data.Int32x4.ZZXY;
  static const zzxz = typed_data.Int32x4.ZZXZ;
  static const zzxw = typed_data.Int32x4.ZZXW;
  static const zzyx = typed_data.Int32x4.ZZYX;
  static const zzyy = typed_data.Int32x4.ZZYY;
  static const zzyz = typed_data.Int32x4.ZZYZ;
  static const zzyw = typed_data.Int32x4.ZZYW;
  static const zzzx = typed_data.Int32x4.ZZZX;
  static const zzzy = typed_data.Int32x4.ZZZY;
  static const zzzz = typed_data.Int32x4.ZZZZ;
  static const zzzw = typed_data.Int32x4.ZZZW;
  static const zzwx = typed_data.Int32x4.ZZWX;
  static const zzwy = typed_data.Int32x4.ZZWY;
  static const zzwz = typed_data.Int32x4.ZZWZ;
  static const zzww = typed_data.Int32x4.ZZWW;
  static const zwxx = typed_data.Int32x4.ZWXX;
  static const zwxy = typed_data.Int32x4.ZWXY;
  static const zwxz = typed_data.Int32x4.ZWXZ;
  static const zwxw = typed_data.Int32x4.ZWXW;
  static const zwyx = typed_data.Int32x4.ZWYX;
  static const zwyy = typed_data.Int32x4.ZWYY;
  static const zwyz = typed_data.Int32x4.ZWYZ;
  static const zwyw = typed_data.Int32x4.ZWYW;
  static const zwzx = typed_data.Int32x4.ZWZX;
  static const zwzy = typed_data.Int32x4.ZWZY;
  static const zwzz = typed_data.Int32x4.ZWZZ;
  static const zwzw = typed_data.Int32x4.ZWZW;
  static const zwwx = typed_data.Int32x4.ZWWX;
  static const zwwy = typed_data.Int32x4.ZWWY;
  static const zwwz = typed_data.Int32x4.ZWWZ;
  static const zwww = typed_data.Int32x4.ZWWW;
  static const wxxx = typed_data.Int32x4.WXXX;
  static const wxxy = typed_data.Int32x4.WXXY;
  static const wxxz = typed_data.Int32x4.WXXZ;
  static const wxxw = typed_data.Int32x4.WXXW;
  static const wxyx = typed_data.Int32x4.WXYX;
  static const wxyy = typed_data.Int32x4.WXYY;
  static const wxyz = typed_data.Int32x4.WXYZ;
  static const wxyw = typed_data.Int32x4.WXYW;
  static const wxzx = typed_data.Int32x4.WXZX;
  static const wxzy = typed_data.Int32x4.WXZY;
  static const wxzz = typed_data.Int32x4.WXZZ;
  static const wxzw = typed_data.Int32x4.WXZW;
  static const wxwx = typed_data.Int32x4.WXWX;
  static const wxwy = typed_data.Int32x4.WXWY;
  static const wxwz = typed_data.Int32x4.WXWZ;
  static const wxww = typed_data.Int32x4.WXWW;
  static const wyxx = typed_data.Int32x4.WYXX;
  static const wyxy = typed_data.Int32x4.WYXY;
  static const wyxz = typed_data.Int32x4.WYXZ;
  static const wyxw = typed_data.Int32x4.WYXW;
  static const wyyx = typed_data.Int32x4.WYYX;
  static const wyyy = typed_data.Int32x4.WYYY;
  static const wyyz = typed_data.Int32x4.WYYZ;
  static const wyyw = typed_data.Int32x4.WYYW;
  static const wyzx = typed_data.Int32x4.WYZX;
  static const wyzy = typed_data.Int32x4.WYZY;
  static const wyzz = typed_data.Int32x4.WYZZ;
  static const wyzw = typed_data.Int32x4.WYZW;
  static const wywx = typed_data.Int32x4.WYWX;
  static const wywy = typed_data.Int32x4.WYWY;
  static const wywz = typed_data.Int32x4.WYWZ;
  static const wyww = typed_data.Int32x4.WYWW;
  static const wzxx = typed_data.Int32x4.WZXX;
  static const wzxy = typed_data.Int32x4.WZXY;
  static const wzxz = typed_data.Int32x4.WZXZ;
  static const wzxw = typed_data.Int32x4.WZXW;
  static const wzyx = typed_data.Int32x4.WZYX;
  static const wzyy = typed_data.Int32x4.WZYY;
  static const wzyz = typed_data.Int32x4.WZYZ;
  static const wzyw = typed_data.Int32x4.WZYW;
  static const wzzx = typed_data.Int32x4.WZZX;
  static const wzzy = typed_data.Int32x4.WZZY;
  static const wzzz = typed_data.Int32x4.WZZZ;
  static const wzzw = typed_data.Int32x4.WZZW;
  static const wzwx = typed_data.Int32x4.WZWX;
  static const wzwy = typed_data.Int32x4.WZWY;
  static const wzwz = typed_data.Int32x4.WZWZ;
  static const wzww = typed_data.Int32x4.WZWW;
  static const wwxx = typed_data.Int32x4.WWXX;
  static const wwxy = typed_data.Int32x4.WWXY;
  static const wwxz = typed_data.Int32x4.WWXZ;
  static const wwxw = typed_data.Int32x4.WWXW;
  static const wwyx = typed_data.Int32x4.WWYX;
  static const wwyy = typed_data.Int32x4.WWYY;
  static const wwyz = typed_data.Int32x4.WWYZ;
  static const wwyw = typed_data.Int32x4.WWYW;
  static const wwzx = typed_data.Int32x4.WWZX;
  static const wwzy = typed_data.Int32x4.WWZY;
  static const wwzz = typed_data.Int32x4.WWZZ;
  static const wwzw = typed_data.Int32x4.WWZW;
  static const wwwx = typed_data.Int32x4.WWWX;
  static const wwwy = typed_data.Int32x4.WWWY;
  static const wwwz = typed_data.Int32x4.WWWZ;
  static const wwww = typed_data.Int32x4.WWWW;
}
